package com.sf._03_set;

import java.util.HashSet;

public class Test {
    /**
     * Set 常用api 的练习
     *
     * set 特点: 无需 , 不允许重复
     * set 实现类: HashSet  TreeSet
     *
     * set 添加数据 验证set 是无需不允许重复的
     * 删除数据
     * 查询数据
     * @param args
     */
    public static void main(String[] args) {
        HashSet<String> set = new HashSet<>();
        /**
         * hashSet 添加数据还是使用add 方法
         */
        set.add("西游记");
        set.add("红楼梦");
        set.add("水浒传");
        set.add("三国演义");
        set.add("三国演义");

        System.out.println(set);

        /**
         * set.remove 可以删除元素
         */
        set.remove("西游记");
        System.out.println(set);

        /**
         * 遍历查询
         */
        for (String str : set) {
            System.out.println(str);
        }

        /**
         * 迭代器遍历
         */
//        Iterator<String> iterator = set.iterator();
//        while (iterator.hasNext()){
//            System.out.println(iterator.next());
//        }
        System.out.println("set集合元素个数:"+ set.size());
        System.out.println("是否包含元素"+ set.contains("红楼梦"));
    }
}
